#ifndef _CRMODE_H
#define _CRMODE_H



// CR-Mode functions, speed control
void CrMode(float32 p_fSollwertw);
// Pre setting of the PI-Controller after Mode changes
void CrmodePreSetPiC(void);
void CrmodeCalcPiC(void);
void CrmodeInit(void);
void SetCondCrMode(void);

// Meas-Value functions for Torque
// write or read to Raw-data value
float* PtrCrTorqueRaw(void);
// write or read to FOLP-filtered value
float* PtrCrTorqueFolp(void);
//actual Setvalue state
Uint16* PtrCrState(void);


// Functions for Filter control Torque
// Filter initilisation
void CrModeSetTrqFilter(void);
void CrModeResetTrqFilter(void);

void TorqueSetCondCalc(float32 p_fFreq, float32 p_fSamplT, float32 p_fMeasTime);
void TorqueSetCondAvg(float32 p_fSamplT, float32 p_fMeasTime);
// Pre-Set filter with value
void TorqueInitFilter(float32 p_fValue);

#endif
