/*!
\file	IntSvc.h
\brief	

\author	Koester
\date	10.07.2008

*/

/* Include files ************************************************************/
	

/* Macro definitions ********************************************************/

/* Types ********************************************************************/

// *** Struktur fr Hardware-Interrupte HWI ***
typedef struct
{
	Uint16	usSemaphor;		// Semaphore for recognition a Hwi-Interrupt	
	Uint16	usIntVector;	// notification of each Hwi or Swi
	Uint32  ulCnt;			// counter for diagnose use
}t_stcHwiData;


volatile Uint32* PtrHwiTimer0Cnt(void);
volatile Uint32* PtrHwiTimer2Cnt(void);
volatile Uint16* PtrSwiMasterIntVec(void);

// Initialisierung der HWI 
void InitHwiInterrupts(void);

void HwiTimer0(void);
void HwiTimer1(void);
void HwiTimer2(void);

// Select Function from Master Command, this is called a Swi here!
void SwiMasterCommand(void);
