///////////////////////////////////////////////////////////////
// COPYRIGHT (c) 2005 GEMAC mbH
///////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////
/// \file		c6713_timer.h
/// \brief 		Timer source
///
///	Project:	Thermo CBOX\n
///	Hardware:	DSP TMS320C6713
///
/// \author		Torsten Aurich\n
/// 			GEMAC mbH\n
///				Zwickauer Str. 227\n
///				Chemnitz, 09116 
///
///	\date    	2007-08-08
///	\version	V1.0	Initial Version\n
////////////////////////////////////////////////////////////////
#ifndef __C6713_TIMER_H__
#define __C6713_TIMER_H__

////////////////////////////////////////////////////////////////
//	includes
////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////
//	defines
////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////
//	external declarations
////////////////////////////////////////////////////////////////
void Timer0InitStart(float32 p_fTime);
void SetCondTimer0(float32 p_fTime);
void Timer0Start(void);
void Timer0Stop(void);

void Timer1InitStart(float32 p_fTime);
void SetCondTimer1(float32 p_fTime);
void Timer1Stop(void);
void Timer1Start(void);

void Timer2InitStart(float32 p_fTime);
void SetCondTimer2(float32 p_fTime);
void Timer2Stop(void);

void DELAY_US(unsigned long ulTime);
////////////////////////////////////////////////////////////////
#endif //__C6713_TIMER_H__


