#ifndef MCBSPDMA_H
#define MCBSPDMA_H

/*!
@file	McbspDma.h
@brief	MCBSP as SPI-Slave functions
		All functions fpr initializing the MCBSP-A in SPI-Slave Mode with
		DMA connection to transfer a fixed amount of bytes in one process.

\author	Koester
\date	22.02.2012

		Changes:

*/

/* Include files ************************************************************/

/* Macro definitions ********************************************************/

/* Types ********************************************************************/

/* Functions ****************************************************************/
void InitMcbspADmaTransfer(void);
void HwiDmaCh1Transmit(void);
void HwiDmaCh2Receive(void);
void DmaHardReset(void);
void DmaCh1Ch2Start(void);

#endif

