#ifdef RO1_REG
#define VAR_DEK
#else
#define VAR_DEK extern
#endif

/* 18.06.2008 Konstanten fr Rampenart */
#define LIN    1
#define LOG    2


void MeasmodeInit(void);
void MeasRotInit(void);		/* Regler-Init bei Rot-Init */
void MeasStop(void);		/* Routine fuer Rot-Stop und Osc-Stop */
void MeasRotSet(void);

void SendSsiMeasData(void);

float* PtrMotorTemp(void);
Uint16 * PtrMeasMode(void);
Uint16* PtrMeasState(void);
Uint16* PtrMeasActDataMode(void);
Uint16* PtrMeasModeOld(void);
Uint16 * PtrMeasRmpMode(void);
Uint16* PtrMeasFilterMode(void);
float* PtrMeasSetvalue(void);
float* PtrMeasSetvalueOld(void);
float* PtrMeasTorqueOld(void);

float* PtrTorqueMeasValue(void);
float* PtrTorqueAVGMeasValue(void);
float* PtrOmegaMeasValue(void);
float* PtrPhiMeasValue(void);
float* PtrPhiAbsMeasValue(void);
Uint16* PtrMeasDataState(void);

float* PtrMeasTestF6(void);
float* PtrMeasTestF7(void);
float* PtrMeasTestF8(void);
float* PtrMeasTestF9(void);

float* PtrSamplingTime(void);
float32* PtrMotorTemp(void);

Uint16* PtrDataMode(void);
void AnfangswerteSetzen(void);				/* Anfangsinit. beim Einschalten */

float GetCrTew(void);

void MeasCreateTestTorqueData(Uint16 unTblLen, float32 *pafTrq);
