/*!
@file	SpiA.h
@brief	SPI-A functions
		
\author	Berthold/Kster
\date	08.11.2012

		Changes:

*/

/* Include files ************************************************************/

/* Macro definitions ********************************************************/

/* Types ********************************************************************/

/* Functions ****************************************************************/

//Spi-Kommunikationroutinen fr die Kommunikation mit IP2000
void InitSpiAGpio(void);
void SpiAInit(void);
void SpiAInitInterruptSendRecv(void);
void SpiADeinitInterruptSendRecv(void);
void SpiAFifoReset(void);
unsigned long SpiARead32(unsigned char adr);
unsigned int SpiARead16(unsigned char adr);
void SpiAWrite8Buffer(unsigned char data, unsigned char adr);
void SpiAWrite8(unsigned char data, unsigned char adr);
void SpiAWrite32(unsigned long data, unsigned char adr);
